org.appng.testsupport.persistence

## Enum ConnectionHelper.DBType

- java.lang.Object
- - java.lang.Enum<ConnectionHelper.DBType>
  - - org.appng.testsupport.persistence.ConnectionHelper.DBType

- All Implemented Interfaces:
    Serializable, Comparable<ConnectionHelper.DBType>
  Enclosing class:
    ConnectionHelper

      public static enum ConnectionHelper.DBType
      extends Enum<ConnectionHelper.DBType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DERBY`
    `HSQL`
    `MYSQL`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConnectionHelper.DBType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConnectionHelper.DBType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MYSQL

          public static final ConnectionHelper.DBType MYSQL

    - #### HSQL

          public static final ConnectionHelper.DBType HSQL

    - #### DERBY

          public static final ConnectionHelper.DBType DERBY

  - ### Method Detail

    - #### values

          public static ConnectionHelper.DBType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectionHelper.DBType c : ConnectionHelper.DBType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectionHelper.DBType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2011–2023 aiticon GmbH. All rights reserved.